Attribute VB_Name = "Module1"
Option Explicit

Public Declare Function SmsOpen Lib "SMS" _
        (ByVal ptsMessageProtocol As String, _
        ByVal dwMessageModes As Long, _
        ByRef psmshHandle As Long, _
        ByRef phMessageAvailableEvent As Long) As Long
Public Declare Function SmsSendMessage Lib "SMS" _
        (ByVal smshHandle As Long, _
        ByVal psmsaSMSCAddress As Long, _
        ByVal psmsaDestinationAddress As String, _
        ByVal pstValidityPeriod As Long, _
        ByVal pbData As String, _
        ByVal dwDataSize As Long, _
        ByVal pbProviderSpecificData As String, _
        ByVal dwProviderSpecificDataSize As Long, _
        ByVal smsdeDataEncoding As Long, _
        ByVal dwOptions As Long, _
        ByRef psmsmidMessageID As Long) As Long
Public Declare Function SmsClose Lib "SMS" _
        (ByVal smshHandle As Long) As Long
  
Public Const SMS_MSGTYPE_TEXT = "Microsoft Text SMS Protocol"
Public Const SMS_MODE_SEND = 2            ' Open in send mode
Public Const SMSDE_GSM = 2                ' Use standard GSM  encoding
Public Const SMSAT_INTERNATIONAL = 66      ' International number  Format
Public Const PS_MESSAGE_OPTION_NONE = 0   ' No message options
Public Const PS_MESSAGE_CLASS0 = 0        ' Send immediately
Public Const PSRO_NONE = 0                ' No replacements
Public Const SMS_OPTION_DELIVERY_NONE = 0 ' No delivery options
  

'******************************************************************************
' Implements UDT value conversion functions
'******************************************************************************
' FileName:  basUDTConv.bas
' Creator:   Christian Forsberg
' Created:   2002-06-06
'******************************************************************************
' Version   Date   Who Comment
' 00.00.000 020606 CFO Created
'******************************************************************************

Function LongToBytes(ByVal Value As Long) As String
  
' Convert long value to string of bytes.
' IN:  Value, long value
' OUT: LongToBytes, string with long value converted to bytes
' Known bugs:
' Version   Date   Who Comment
' 00.00.000 020606 CFO Created
'******************************************************************************
  Dim lsHex As String, i As Integer
  
  lsHex = Right("00000000" & Hex(Value), 8)
  For i = 1 To 7 Step 2
    LongToBytes = ChrB(CInt("&H" & Mid(lsHex, i, 2))) & LongToBytes
  Next

End Function
Function BytesToLong(ByVal Value As String) As Long
  
' Convert string of bytes to long value.
' IN:  Value, string
' OUT: BytesToLong, long value converted from string of bytes
' Known bugs:
' Version   Date   Who Comment
' 00.00.000 020606 CFO Created
'******************************************************************************
  Dim lsHex As String, i As Integer
  
  For i = 1 To 4
    lsHex = Hex(AscB(MidB(Value, i, 1))) & lsHex
  Next
  BytesToLong = CLng("&H" & lsHex)

End Function
